PGPAINLESS-CLI-SIGN(1)

NAME
pgpainless-cli-sign - Create a detached signature on the data from standard input

SYNOPSIS

pgpainless-cli sign [--[no-]armor] [--as={binary|text}] [--micalg-out=MICALG] [--with-key-password=PASSWORD]... [KEYS...]

DESCRIPTION

OPTIONS

--as={binary|text}
    Specify the output format of the signed message

    Defaults to 'binary'.

--micalg-out=MICALG
    Emits the digest algorithm used to the specified file in a way that can be used to populate the micalg parameter for the PGP/MIME Content-Type (RFC3156)

--[no-]armor
    ASCII armor the output

--with-key-password=PASSWORD
    Passphrase to unlock the secret key(s).

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

ARGUMENTS

[KEYS...]
    Secret keys used for signing

EXIT CODES:

0
    Successful program execution

1
    Generic program error

3
    Verification requested but no verifiable signature found

13
    Unsupported asymmetric algorithm

17
    Certificate is not encryption capable

19
    Usage error: Missing argument

23
    Incomplete verification instructions

29
    Unable to decrypt

31
    Password is not human-readable

37
    Unsupported Option

41
    Invalid data or data of wrong type encountered

53
    Non-text input received where text was expected

59
    Output file already exists

61
    Input file does not exist

67
    Cannot unlock password protected secret key

69
    Unsupported subcommand

71
    Unsupported special prefix (e.g. "@env/@fd") of indirect parameter

73
    Ambiguous input (a filename matching the designator already exists)

79
    Key is not signing capable